Bug 38811 - PCMCIA SCSI card locks up RH7.1 on suspend
PCMCIA SCSI card locks up RH7.1 on suspend
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-02 15:20 EDT by Harold Youngren
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 02:19:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harold Youngren 2001-05-02 15:20:36 EDT
I have a fresh install of RH7.1 in a Dell Inspiron 5000e laptop (upgraded
to latest A04 BIOS).  Basic distribution works. PCMCIA ethernet and modem
work fine with minor problems on suspend where ethernet card needs to be
re-inserted to function.  A more severe problem showed up when operating an
Adaptec 1460D PC Card SCSI adapter.  The SCSI adapter is recognized and the
attached DAT drive works fine (everything works) but the computer locks up
when the 1460D card is extracted.  There is no response from keyboard,
mouse or external ping from another computer.  The system also locks up
when doing a suspend.  No trace of anything about the lockup in the message
file.  I also tried an external SCSI CD drive with same results.  Note that
these problems to not occur when no devices are attached to the 1460D card,
in that case both suspend and card extraction work with no lockups.

The lockup can be avoided by rmmod on the PC card driver before suspend.
Comment 1 Arjan van de Ven 2001-05-21 06:02:00 EDT
It seems the scsi layer or the driver doesn't like hotplug ;)
Can you give me the output of lsmod so I can see which driver your
scsi card uses ?

Note You need to log in before you can comment on or make changes to this bug.